Migration von Magento 1.7.0.2

Hallo!

Ich hatte eigentlich gehofft, mit dem Migrationsmodul von Shopware leicht von meinem Magento-Shop, der in der Version 1.7.0 vorliegt, leicht in meine 5.1.3 installation wechseln kann. ich habe aber nur Magento 1.9.1 in den Profilen. Sind die älteren Datenbanken uninteressant, oder warum geht das nicht mehr?

 

lg

Michael

Hallo,

also im Store steht, dass es kompatibel ist: http://store.shopware.com/swag00426/migration-von-anderen-shopsystemen-zu-shopware.html

Generell testen wir immer auch die zwischenversionen. Du müsstest es also einfach mal testen.

Moritz

1 Like

Hi,

du kannst natürlich immer versuchen, das “neuere” Profil für deine ältere Version zu benutzen - das wird vom Migrationstool nicht explizit abgefragt. Solange die Datenstruktur passt, geht das. 

Das grundsätzliche Problem ist schlicht, dass wir ja nicht jede Version jedes unterstützten Shops (Oxid, Magento, Presta, XTC, Veyton, Gambio) unterstützen und testen können - dann würden wir nichts anderes mehr machen. Von daher versuchen wir die jeweils aktuellen Versionen so gut wie möglich abzubilden. Ggf. kannst du ja beispielsweise auf einer Testumgebung auf eine aktuelle Version machen für die Migration? Ich habe aber ehrlich gesagt keine Ahnung, was zwischen 1.7 und 1.9 bei Magento alles passiert ist - da wird sich ja sicher auch einiges geändert haben.

Daniel

Wie gesagt, ich habe die Shopware-Version 5.1.3, mein Magento-Shop hat die Version 1.7.0.2. Als Profil kann ich aber nur magento 1.9.1 auswählen. Wenn ich nun dieses Profil auswähle, und die Datenbank, so wird mir gesagt, dass die Versionen nicht übereinstimmen. Da kann ich leider nicht viel Testen.

 

lg

Michael

Hi,

ja, das ist schon der Test: Bei der Auswahl wird geprüft, ob die erforderlichen / bekannten Tabellen in deinem Quellshop existieren. Das ist wohl nicht der Fall. Hinsichtlich des Migrationstools hast du also nur die Möglichkeiten, das Profil auf deine Erfordernisse anzupassen (=programmieren) oder (wie gesagt) deinen alten Shop in einer Kopie auf eine unterstützte Version zu heben.

Besten Gruß,

Daniel  

Okay, hätte mich zwar gefreut, wenn die Beschreibung gestimmt hätte ( Unterstützt wird Magento 1.4.2 bis 1.9.0.1), aber gibt es dazu eine Anleitung, was man beim Profilerstellen beachten muss oder wo ich die Einstellungen treffen kann?

Hi,

ich habe eine ähnliche Herausforderung. Ich versuche einen Magento 1.7.0.2 Shop zu Shopware 5.1.4 zu migrieren.

Bei den Bestellungen gibt es ein Problem, aber auf diese kann ich auch verzichten…

Was aber viel schwerer wiegt, sind die Kategorien. Die Produkte werden übertragen allerdings die Kategorien nicht.

Any thoughts?

Vielen DAnk!

 

Viele Grüße

 

Björn